<?php

/**
 * Vvveb
 *
 * Copyright (C) 2020  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Vvveb;

/*phpinfo();
die();*/

error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);

//define('DEBUG', 'false');

define('DIR_ROOT', realpath(__DIR__ . '/../') . '/');
define('DIR_CONFIG', DIR_ROOT . '/config/');
define('DIR_SYSTEM', DIR_ROOT . 'system/');

if (is_file('config.php')) {
	require __DIR__ . '/config.php';
	define('APP', 'admin');
} else {
	$app = 'install';
	define('APP', 'install');
	header('Location: install.php');
}

require_once DIR_SYSTEM . 'startup.php';

//Engine\start();
System\start();
